tbb::interface9::internal::quick_sort_body< RandomAccessIterator, Compare > Struct Template Reference
Algorithms

Body class used to sort elements in a range that is smaller than the grainsize. More...

`#include <parallel_sort.h>`

Collaboration diagram for tbb::interface9::internal::quick_sort_body< RandomAccessIterator, Compare >:

## Public Member Functions

void | operator() (const quick_sort_range< RandomAccessIterator, Compare > &range) const

## Detailed Description

### template<typename RandomAccessIterator, typename Compare>
struct tbb::interface9::internal::quick_sort_body< RandomAccessIterator, Compare >

Body class used to sort elements in a range that is smaller than the grainsize.

Definition at line 152 of file parallel_sort.h.

## Member Function Documentation

## operator()()

template<typename RandomAccessIterator , typename Compare >

void tbb::interface9::internal::quick_sort_body< RandomAccessIterator, Compare >::operator() | ( | const quick_sort_range< RandomAccessIterator, Compare > & | range | ) | const

inline

Definition at line 153 of file parallel_sort.h.

{
//SerialQuickSort( range.begin, range.size, range.comp );
std::sort( range.begin, range.begin + range.size, range.comp );
}

References tbb::interface9::internal::quick_sort_range< RandomAccessIterator, Compare >::begin, tbb::interface9::internal::quick_sort_range< RandomAccessIterator, Compare >::comp, and tbb::interface9::internal::quick_sort_range< RandomAccessIterator, Compare >::size.

The documentation for this struct was generated from the following file:

- parallel_sort.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.